com.jscape.inet.terminal

## Class Row

- java.lang.Object
- - com.jscape.inet.terminal.Row

-     public class Row
      extends java.lang.Object

  Represents terminal screen row as array of `Cell`s. Corresponding to VT100 User's Manual terminal row can have doubled width or doubled high (or both).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Row(int colNum)` Creates `Row` object giving quantity of cells.
    `Row(Row row)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cell` | `cellAt(int index)` Gives access to specified cell.
    `boolean` | `isDoubleHigh()` Checks if current row has doubled high.
    `boolean` | `isDoubleWidth()` Checks if current row has doubled width.
    `void` | `setDoubleHigh(boolean doubleHigh)` Sets current row to has doubled high.
    `void` | `setDoubleWidth(boolean doubleWidth)` Sets current row to has doubled width.
    `Cell[]` | `toCellArray()` Represents current row as array of `Cell` objects.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Row

          public Row(int colNum)

      Creates `Row` object giving quantity of cells.
      Parameters:
        `colNum` - number of cells.

    - #### Row

          public Row(Row row)

      Copy constructor.
      Parameters:
        `row` - `Row` object to be copied.

  - ### Method Detail

    - #### cellAt

          public Cell cellAt(int index)

      Gives access to specified cell.
      Parameters:
        `index` - number of cell to access.
      Returns:
        `Cell` object with giving number.

    - #### isDoubleWidth

          public boolean isDoubleWidth()

      Checks if current row has doubled width.
      Returns:
        true if current row has doubled width.

    - #### setDoubleWidth

          public void setDoubleWidth(boolean doubleWidth)

      Sets current row to has doubled width.
      Parameters:
        `doubleWidth` - true if current row must have doubled width.

    - #### isDoubleHigh

          public boolean isDoubleHigh()

      Checks if current row has doubled high.
      Returns:
        true if current row has doubled high.

    - #### setDoubleHigh

          public void setDoubleHigh(boolean doubleHigh)

      Sets current row to has doubled high.
      Parameters:
        `doubleHigh` - true if current row must have doubled high.

    - #### toCellArray

          public Cell[] toCellArray()

      Represents current row as array of `Cell` objects.
      Returns:
        array of `Cell` objects.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved